 slave device %d\n",
 			__func__, ret);
 
-free_m:
-	/* free allocated memory */
-	kfree(orig);
-
 	return size;
 }
 
-- 
2.51.0[PATCH 5.10.y 2/2] w1: therm: Fix off-by-one buffer overflow in alarms_storeSasha Levin <sashal@kernel.org> undefinedstable@vger.kernel.org undefined undefined undefined¨n…